Categories
Linux Mastering Development Ubuntu

link error with cpp-7 version 7.5.0 asan

My ubuntu18.04.4 LTS system just updated my cpp-7 package from 7.4.0 to 7.5.0 .
Now I get a link error when building with asan:

undefined reference to `__asan_version_mismatch_check_v8'

My command-line parameters are identical to what they were when the target was 7.4.0 and address sanitizer gave me excellent assistance.

for what it’s worth…

While I’d love to be able to try to re-activate 7.4.0, the update process apparently removed it from my system:

apt-cache policy cpp-7
cpp-7:
  Installed: 7.5.0-3ubuntu1~18.04
  Candidate: 7.5.0-3ubuntu1~18.04
  Version table:
 *** 7.5.0-3ubuntu1~18.04 500
        500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages
        100 /var/lib/dpkg/status
     7.3.0-16ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

packages.ubuntu.com lists a 7.4.0 version (https://packages.ubuntu.com/search?keywords=gcc-7) but I haven’t figured out how to get that onto my machine.

Any ideas?

Leave a Reply

Your email address will not be published. Required fields are marked *